<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

		if (!empty($post->post_password)) { // if there's a password
			if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie ?>

		<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>
<?php	return; } } ?>

<div id="comments"><!-- Begin div#comments -->

<!-- コメント状況の開始 -->
<?php if (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) : //コメントのみクローズ ?>
		<p><?php _e("Sorry, comments are closed for this item.", 'ezorisu'); ?></p>

	<?php elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) : //トラックバックのみクローズ ?>
		<p><?php _e("Sorry, trackbacks are closed for this item.", 'ezorisu'); ?></p>

	<?php elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) : //コメント・トラックバックともにクローズ ?>
		<p><?php _e("Sorry, comments and trackbacks are closed for this item.", 'ezorisu'); ?></p>
	<?php endif ?>
<!-- コメント状況の終了 -->

<!-- トラックバックを受け付けている場合urlを表示 -->
	<?php if ('open' == $post->ping_status) : //トラックバックがオープン ?>
		<h3 id="trackback_url"><?php _e("The URL to TrackBack this entry : ", 'ezorisu'); ?></h3>
	<input type="text" value="<?php trackback_url(true); ?>" readonly="readonly" id="trackbackurl" />
	<?php endif; ?>
<!-- トラックバックを受け付けている場合urlを表示 終了 -->


<!-- 投稿トラックバック・コメントの表示開始 -->
<?php if ($comments) : ?>

<?php 


	$numPingBacks = 0;
	$numComments  = 0;

	
	foreach ($comments as $comment) {
		if (get_comment_type() != "comment") { $numPingBacks++; }
		else { $numComments++; }
 }

/* Used to stripe comments */
	$thiscomment = 'odd'; 
?>


<!-- 投稿コメントがある場合 開始-->
<?php if ( comments_open() ) : ?>

<!-- 各トラックバックを開始 -->

	<ol id="trackbacklist">
	<h3 id="trackback_num"><?php _e("Trackbacks"); ?>:<?php _e($numPingBacks); ?></h3>
	<?php foreach ($comments as $comment) : ?>
	<?php if (get_comment_type()=="trackback") : ?>
		<li id="comment-<?php comment_ID() ?>" class="<?php comment_type('comment','trackback','pingback'); ?>">
			<?php if ($comment->comment_approved == '0') : ?><!-- 承認待ちコメントの場合 -->
			<p class="note"><strong><?php _e("Your comment is awaiting moderation.", 'ezorisu'); ?></strong></p>
			<?php endif; ?>

			<div class="comment_text">
				<?php comment_text(); //コメント本文 ?>
			</div>
			
			<div class="metadata">
				<p class="meta_edit"><?php edit_comment_link(__("Edit Comment")); ?></p>
				<P class="meta_date"><a href="#comment-<?php comment_ID() ?>"><?php comment_date() ?> ＠ <?php comment_time('h:i A') ?></a></p>
				<p class="meta_comments"><?php printf(__("By: %s"), get_comment_author_link()); ?></p>
			</div>
		</li>
	<?php endif; ?>	
	<?php endforeach; ?>
	</ol>

<!-- 各トラックバックを終了 -->



<!-- 各コメントを開始 -->

	<ol id="commentlist">
	<h3 id="trackback_num"><?php _e("Comments"); ?>:<?php _e($numComments); ?></h3>
		<?php foreach ($comments as $comment) : ?>
		<?php if (get_comment_type()=="comment") : ?>
		<li id="comment-<?php comment_ID() ?>" class="<?php comment_type('comment','trackback','pingback'); ?><?php if ($comment->user_id == get_the_author_ID()) echo '-mycomment'; ?>">
		
		

			<?php if ($comment->comment_approved == '0') : ?><!-- 承認待ちコメントの場合 -->
			<p class="note"><strong><?php _e("Your comment is awaiting moderation.", 'ezorisu'); ?></strong></p>
			<?php endif; ?>

			<div class="comment_text">
				<?php comment_text(); //コメント本文 ?>
			</div>
			
			<div class="metadata">
				<p class="meta_edit"><?php edit_comment_link(__("Edit Comment")); ?></p>
				<P class="meta_date"><a href="#comment-<?php comment_ID() ?>"><?php comment_date() ?> ＠ <?php comment_time('h:i A') ?></a></p>
				<p class="meta_comments"><?php printf(__("By: %s"), get_comment_author_link()); ?></p>
			</div>

		</li>
		<?php endif; ?>
		<?php endforeach; ?>
	</ol>

<!-- 各コメントを終了 -->

<?php endif; ?>
<!-- 投稿コメントがある場合 終了-->

<?php endif; ?>
<!-- 投稿トラックバック・コメントの表示終了 -->

<!-- コメントがオープンなら、以下からのコメントフォームを表示-->
<?php if ('open' == $post->comment_status) : ?>

<h3 id="postcomment"><?php _e("Leave a comment"); ?></h3>

<!-- ログインの判断開始-->
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
	<p><?php printf(__("You must be <a href=\"%s\">logged in</a> to post a comment."), get_option('siteurl')."/wp-login.php?redirect_to=".urlencode(get_permalink()));?></p>
<?php else : ?>

<!-- フォーム開始 -->
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : //もしログインしている場合 ?>
	<p><?php printf(__("Logged in as %s."), '<a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a>'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e("Log out of this account") ?>"><?php _e("Log out &raquo;"); ?></a></p>


<?php else : ログインしていない場合 ?>
	<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
	<label for="author"><small><?php _e("Name"); ?> <?php if ($req) _e("(required)"); ?></small></label></p>

	<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
	<label for="email"><small><?php _e("Mail (will not be published)");?> <?php if ($req) _e("(required)"); ?></small></label></p>

	<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
	<label for="url"><small><?php _e("Website"); ?></small></label></p>
<?php endif; ?>

<!--<p>XHTML - <code><?php printf(__("You can use these tags: %s"), allowed_tags()); ?></code></p>-->

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php echo attribute_escape(__("Submit Comment")); ?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>
</form>
<!-- フォーム終了 -->

<?php endif; ?>
<!-- ログインの判断終了-->

<?php endif; ?>
<!-- コメントがオープンなら、以下からのコメントフォームを表示終了-->




</div><!-- End div#comments -->