</div><!-- END id="content" -->

<div id="sidebar_r">
<ul class="sidebar">

<?php if ( !function_exists('dynamic_sidebar')
        || !dynamic_sidebar(1) ) : ?>

<li class="searchform">
<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
<div>
<input class="text" type="text" value="<?php echo wp_specialchars($s, 1); ?>" name="s" id="s" tabindex="10" />
<input type="submit" id="searchsubmit" value="<?php _e("Search"); ?>" tabindex="11" />
</div>
</form>
</li>

<li id="calendar">
<?php get_calendar(); ?>
</li>

<li id="archives_monthly">
<h2><?php _e("Archives by Month", 'ezorisu'); ?></h2>
<ul>
<?php wp_get_archives(); ?>
</ul>
</li>

<li id="archives">
<h2><?php _e("Recent Posts"); ?></h2>
<ul>
<?php wp_get_archives('type=postbypost&limit=10'); ?>
</ul>
</li>

<li id="categories">
<h2><?php _e("Categories"); ?></h2>
<ul>
<?php wp_list_cats('optioncount=1&children=1'); ?>
</ul>
</li>

<li id="feed">
<h2><?php _e("Syndication Feeds", 'ezorisu'); ?></h2>
<ul>
<li class="rss1"><a href="<?php bloginfo('rdf_url'); ?>">RSS 1.0</a></li>
<li class="rss2"><a href="<?php bloginfo('rss2_url'); ?>">RSS 2.0</a></li>
<li class="atom"><a href="<?php bloginfo('atom_url'); ?>">Atom</a></li>
</ul>
</li>

<?php endif; ?>



<!-- サイドバーウィジェット2の差し替え範囲の開始 -->
<?php if ( !function_exists('dynamic_sidebar')|| !dynamic_sidebar(2) ) : ?>

<li><h2><?php _e("Pages"); ?></h2>
<ul>
<?php wp_list_pages('sort_column=menu_order&title_li=' ); ?>
</ul>
</li>

<li id="meta"><h2><?php _e("Meta"); ?></h2>
<ul>
<?php wp_register(); ?>
<li><?php wp_loginout(); ?></li>
<li><a href="http://validator.w3.org/check/referer" title="<?php _e("This page validates as XHTML 1.0 Transitional"); ?>">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
<?php wp_meta(); ?>
</ul>
</li>

<?php wp_list_bookmarks(); ?>

<?php endif; ?>
<!-- サイドバーウィジェット2の差し替え範囲の終了 -->


</ul>
</div><!-- END id="sidebar_r" -->

<div id="bottom-content">
<ul id="bottom-content-innerbox">

<!-- 下部ウィジェットの差し替え範囲の開始 -->
<?php if ( !function_exists('dynamic_sidebar')
        || !dynamic_sidebar(3) ) : ?>

<?php if ( function_exists('wp_tag_cloud') ) : ?>
<li id="tag_cloud">
<h2><?php _e("Tag Cloud"); ?></h2>
<?php wp_tag_cloud('smallest=8&largest=18'); ?>
</li>
<?php endif; ?>

<?php endif; ?>
<!-- 下部ウィジェットの差し替え範囲の終了 -->

</ul>
<p id="to_the_top"><a href="#header"><?php _e("Back to the top", 'ezorisu'); ?></a></p>
</div><!-- END id="bottom-content" -->